the PD blocker removes Power Delivery (PD) capabilities from USB-C connections

purpose
=======

some USB-C devices do not require the Power Delivery features available on the connector, mainly higher voltage and current.
the device might not even be rated for higher voltages.
mischievous eMarked cables (with PD-capable chips built in) or chargers might raise the voltage without the device requesting it.
the higher voltage could then damage the device.

the PD blocker protects your [expensive] USB-C device from such damages.

usage
=====

insert the PD blocker in line, between the power source (e.g. charger or host computer), cable, and your device.
it can be inserted between any two of these components, and will work the same.
plug and receptacle can be either side, and it is reversible along the axis of the connectors (like normal USB-C connectors).

PD communication is completely block.
when over-voltage is detected (Vbus > 5.5V), power is cut and an OVP LED indicating the culprit side lights up.

all other features of USB-C are preserved (e.g. USB2, USB3, USB4, SBU, orientation detection)
some alternate modes requiring PD communication will not work anymore though.

mode of operation
=================

to prevent PD communication, capacitors are placed on the CC lines.
they smooth out the 300 Kbps BMC signal used for PD communication.
it still allows the identification of Rp, Rd, and Ra used for orientation and role detection.

additionally there is an over-voltage protection circuit.
VBUS (on either side) is compared to a reference voltage.
when VBUS is below 5.5V, p-channel MOSFETs are switched on, and allow VBUS going from one side to the other.
when VBUS is above 5.5V, the p-channel MOSFETs are switched off, and prevent VBUS interconnection, cutting the power.

warning
=======

the PD blocker can block up to 36V.
PD rev 2.0 specifies voltages up to 20V.
PD rev 3.0 specifies voltages up to 48V, but I haven't seen any power source using this new capability yet.
